#include "ui/ui.h"
#include "wordle/wordle.h"
#include <locale.h>
#include <ncurses.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

int main(void) {
    srand(clock());
    setlocale(LC_ALL, "");
    init_term();
    int menu_choice;

    while ((menu_choice = show_menu()) != MENU_QUIT) {
        clear();
        set_gamemode((Gamemode)menu_choice);
        launch_game();
    };

    cleanup_term();

    return EXIT_SUCCESS;
}

// #include "word-bank/bank.h"
// #include <ncurses.h>
// #include <stdio.h>
// #include <stdlib.h>

// int main(void) {
//     char *w = get_random_word();

//     printf("%s\n", w);

//     return EXIT_SUCCESS;
// }
