#include "tool/test/tool-test.h"
#include "unity/unity.h"
#include "word-bank/test/bank-test.h"
#include "wordle/test/wordle-test.h"

void setUp(void) { }

void tearDown(void) { }

int main(void) {
    UNITY_BEGIN();

    // Bank
    RUN_TEST(test_random_word_should_be_jeter);
    RUN_TEST(test_bank_size_should_be_1529);

    // Wordle
    RUN_TEST(test_gamemode_should_be_solo);
    RUN_TEST(test_gamemode_should_be_versus);
    RUN_TEST(test_gamemode_should_be_computer);
    RUN_TEST(test_answer_shoud_be_balai);
    RUN_TEST(test_validate_letter_should_be_false);
    RUN_TEST(test_validate_letter_should_be_true);
    RUN_TEST(test_generate_pattern_should_return_all_0);

    // Tool
    RUN_TEST(test_tool_init_destroy);
    RUN_TEST(test_compute_matches_should_remain_BALAI);

    return UNITY_END();
}
